<a name="menu">目录</a>
1. [全部交付商](#all)
1. [交付商列表](#list)
1. [交付商查询](#info)
1. [交付商添加/修改](#save)
1. [交付商删除](#del)
1. [交付商渠道](#channelList)
1. [交付商绑定渠道](#bindChannel)
1. [交付商取消绑定渠道](#unbindChannel)

## **<a name="all"> 全部交付商</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/all]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {}
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "13120681466000118",          // 交付商编码
                "name": "杨庆菊交付商",               // 交付商名号曾
                "businessmenDivide": 50,            // 个体户分成比例 
                "invoiceDivide": 22.21,             // 发票分成比例
                "remark": "备注"                     // 备注
            },
        ],
        "requestid": "5026518c1b354582932e5222bab4a785"
    }

```

## **<a name="page"> 交付商列表页</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "currentPage": "1",
        "pageSize": "10"
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 12,
            "rows": [
                {
                    "id": "13120681635001335",                  // 交付商编码
                    "name": "杨庆菊交付商14",                     // 交付商名称
                    "businessmenDivide": 30.25,                 // 个体户分成比例
                    "invoiceDivide": 22.21,                     // 发票分成比例
                    "isEnabled": 0,                             // 是否可用 0否 1是
                    "remark": "备注"                             // 备注
                    "created_at": "2019-10-03 10:12:14"         // 创建时间
                },
            ]
        },
        "requestid": "1e18fd911db84525a964e9a17d8c83d1"
    }

```


## **<a name="info"> 交付商查询</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""            // 交付商id
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "13120681635001335",                  // 交付商编码
            "name": "杨庆菊交付商14",                     // 交付商名称
            "businessmenDivide": 30.25,                 // 个体户分成比例
            "invoiceDivide": 22.21,                     // 发票分成比例
            "isEnabled": 0,                             // 是否可用 0否 1是
            "remark": "备注"                      // 备注
            "created_at": "2019-10-03 10:12:14"         // 创建时间        
        },
        "requestid": "7d6c9dd96aed4e00917bdb934d62bfaf"
    }
```

## **<a name="save"> 交付商添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "id": "",                             // id
        "name": "杨庆菊交付商14",                     // 交付商名称
        "businessmenDivide": 30.25,           // 个体户分成比例
        "invoiceDivide": 22.21,               // 发票分成比例
        "remark": "备注"                      // 备注
        "isEnabled": 0
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

## **<a name="del"> 交付商删除</a>**
[返回到目录](#menu)
##### URL
[//web/common/deliverCtl/del]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "ids": ["12218127593000590","12218127593000592"...]                   // 交付商id数组
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": "",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```


## **<a name="channelList"> 交付商渠道</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/channelList]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
	"deliver_id":"13141670437000352",       // 交付商id
}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 2,
        "rows": [
            {
                "id": "13575990142000991",      // 渠道编号
                "name" : "",                    // 渠道名称,
                "short_name" : "",              // 渠道简称,
                "credit_code" : "",             // 统一社会信用代码,
                "business_lincense_img" : "",   // 营业执照图,
                "residence" : "",               // 住所,
                "tax_type" : "",                // 纳税人类型 00一般纳税人 10小规模纳税人,
                "business_scope" : "",          // 经营范围,
                "term" : "",                    // 经营期限 1长期 2固定日期,
                "term_end" : "",                // 经营期限固定日期,
                "idcard_front" : "",            // 身份证正面照片,
                "idcard_back" : "",             // 身份证反面照片,
                "legal_idno" : "",              // 身份证号码,
                "legal_name" : "",              // 法人姓名,
                "validity" : "",                // 经营期限 1长期 2固定日期,
                "validity_end" : "",            // 经营期限固定日期,
                "account_name" : "",            // 对公账户-账户名称,
                "account_bank_name" : "",       // 对公账户-开户行,
                "account_bank_no" : "",         // 对公账户-开户账号,
                "account_mobile" : "",          // 对公账户-联系电话,
                "contact_man" : "",             // 联系人-联系人姓名,
                "contact_mobile" : "",          // 联系电话,
                "contact_email" : "",           // 联系邮箱
            },
        ]
    },
    "requestid": "4d41d50ef6fa4638a55913df36f76f79"
}

```


## **<a name="bindChannel"> 交付商绑定渠道</a>**
[返回到目录](#menu)
##### URL
[//web/common/deliverCtl/bindChannel]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript

    {
        "deliver_id":"13141670437000352",       // 交付商id
        "channel_id":"13575990015000869"        // 渠道id
    }

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": "",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```


## **<a name="unbindChannel"> 交付商取消绑定渠道</a>**
[返回到目录](#menu)
##### URL
[//web/common/deliverCtl/unbindChannel]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript

    {
        "deliver_id":"13141670437000352",       // 交付商id
        "channel_id":"13575990015000869"        // 渠道id
    }

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": "",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

